Package net.commoble.exmachina.api

# Class SignalGraphUpdateGameEvent

java.lang.Object
net.commoble.exmachina.api.SignalGraphUpdateGameEvent

public final class SignalGraphUpdateGameEvent extends Object
The signal graph update event is used to inform the signal grapher that a graph update should occur. Only the position of this game event is used, blockstate/entity are ignored and should be assumed to be null.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.resources.ResourceKey<net.minecraft.world.level.gameevent.GameEvent>`
`KEY`
minecraft:game_event / exmachina:signal_graph_update

## Method Summary

Modifier and Type
Method
Description
`static void`
`scheduleSignalGraphUpdate(net.minecraft.world.level.LevelAccessor level, net.minecraft.core.BlockPos pos)`
Schedules a graph update to occur.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### KEY

public static final net.minecraft.resources.ResourceKey<net.minecraft.world.level.gameevent.GameEvent> KEY
minecraft:game_event / exmachina:signal_graph_update

## Method Details

### scheduleSignalGraphUpdate

public static void scheduleSignalGraphUpdate(net.minecraft.world.level.LevelAccessor level, net.minecraft.core.BlockPos pos)
Schedules a graph update to occur. Graph updates will occur at the end of the tick. This only has an effect on server levels, invoking this on client levels has no effect.

Parameters:
  `level` - LevelAccessor to schedule the graph update in
  `pos` - BlockPos to schedule the graph update at